[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / DateCellComponent

# Class: DateCellComponent

Defined in: [packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts:19](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts#L19)

## Constructors

### new DateCellComponent()

> **new DateCellComponent**(): [`DateCellComponent`](DateCellComponent.md)

#### Returns

[`DateCellComponent`](DateCellComponent.md)

## Properties

### date

> **date**: `null` \| `string` \| `number` \| `Date` = `null`

Defined in: [packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts#L22)

***

### format

> **format**: `string` = `'dd.MM.yyyy HH:mm'`

Defined in: [packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/cells/date-cell/date-cell.component.ts#L25)
